<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.busi.mapper.BusiNoticeViewMapper">
    
    <resultMap type="BusiNoticeView" id="BusiNoticeViewResult">
        <result property="id"    column="id"    />
        <result property="viewNum"    column="view_num"    />
    </resultMap>

    <sql id="selectBusiNoticeViewVo">
        select id, view_num from dl_busi_notice_view
    </sql>

    <select id="queryListPage" parameterType="BusiNoticeView" resultMap="BusiNoticeViewResult">
        <include refid="selectBusiNoticeViewVo"/>
        <where>
                        <if test="entity.viewNum != null "> and view_num = #{entity.viewNum}</if>
        </where>
    </select>
</mapper>